Bug 53584 - /etc/rc.d/init.d/pcmcia incorrectly uses insmod
Summary: /etc/rc.d/init.d/pcmcia incorrectly uses insmod
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: pcmcia-cs   
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-12 11:00 UTC by Keith Owens
Modified: 2015-01-04 22:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-18 06:34:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Keith Owens 2001-09-12 11:00:45 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.10-pre8-xfs i586)

Description of problem:
/etc/rc.d/init.d/pcmcia uses insmod with hard coded pathnames to the pcmcia
modules.  The default is /lib/modules/`uname -r`/pcmcia, that directory
will not exist in 2.5 kernels.  David Hinds and I agreed that the pcmcia
directory would only exist as a short term measure until users had a chance
to upgrade their pcmcia packages.  The main pcmcia code uses modprobe, not
insmod, and lets modutils find the pcmcia modules, no matter where they
are.  Please remove hard coded paths and replace all usage of insmod with
modprobe in init scripts.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. rm -rf /lib/modules/`uname -r`/pcmcia
2. /etc/rc.d/init.d/pcmcia restart
3.
	

Actual Results:  Cannot find /lib/modules/`uname -r`/pcmcia.

Expected Results:  Using modprobe instead of insmod, modutils takes care of
finding the pcmcia modules.

Additional info:

In /etc/rc.d/init.d/pcmcia, replace
  /sbin/insmod $PC/pcmcia_core.o $CORE_OPTS
  /sbin/insmod $PC/$PCIC.o $PCIC_OPTS
  /sbin/insmod $PC/ds.o
with
  /sbin/modprobe pcmcia_core $CORE_OPTS
  /sbin/modprobe $PCIC $PCIC_OPTS
  /sbin/modprobe ds
and delete all references to PC.

Comment 1 Arjan van de Ven 2001-09-12 11:15:03 UTC
While I agree that this needs to be fixed, this file comes from a recent
pcmcia-cs package. And anyway, for 2.5 pcmcia will be rewritten from scratch....

Comment 2 Daniel Roesen 2004-01-25 20:45:04 UTC
Would it be possible to get this fixed now? After all, the bug
is still present in the current FC1 initscripts... and bite about
anyone using self-built kernels and PCMCIA/CardBus (which translates
roughly to everyone using a laptop with an 54mbps WLAN card).

Comment 3 Dave Jones 2005-01-18 06:34:24 UTC
this seems to have got fixed some time ago, and the bugzilla never
got updated.  These days, the script only does an insmod if modprobe
doesn't exist (which should never happen).

I'm going to close this, please feel free to reopen if you think theres
something that needs fixing in the current trees.

The rc.pcmcia script is ugly as all hell, and could use some attention from
someone motivated to clean it up, but for the most part it's just redundant
stuff that doesn't get run any more that could get removed it seems.


Comment 4 Dave Jones 2005-01-18 06:45:41 UTC
FYI: I've changed this in rawhide to take the latest rc.pcmcia from
pcmcia-cs-3.2.7 with the insmod & preferred bits chopped out.



Note You need to log in before you can comment on or make changes to this bug.